%global module attrs

Name:           python-%{module}
Version:        21.4.0
Release:        %mkrel 1
Summary:        Attributes without boilerplate

License:        MIT
Group:          Development/Python
URL:            https://attrs.readthedocs.io/en/stable/
Source0:        %{module}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
%{summary}.

%package -n python3-%{module}
Summary:        %{summary}
Group:          Development/Python

%description -n python3-%{module}
%{summary}.

%prep
%setup -qn %{module}-%{version}
cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd
%py2_build

%install
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
popd
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitelib}

%files
%doc LICENSE PKG-INFO README.rst
%{python2_sitelib}/*

%files -n python3-%{module}
%doc LICENSE PKG-INFO README.rst
%{python3_sitelib}/*

%changelog
* Thu Aug 26 2022 TerryN <terryn94 at gmail.com> 21.4.0-1pclos2022
- update and rebuild for python 3.10

* Sun Jul 19 2020 ghostbunny <ghostbunny at gmx dot de> 19.3.0-1pclos2020
- 19.3.0

* Fri Apr 13 2018 marcin82 <fixxer1982 at gmail.com>  17.4.0-1pclos2018
- initial build for PCLinuxOS
